Accepted firefox-3.0 3.0~alpha8-0ubuntu1 (source)

Alexander Sack asac at ubuntu.com
Fri Oct 5 11:24:25 BST 2007


Accepted:
firefox-3.0 3.0~alpha8-0ubuntu1 was ACCEPTED.
	Component: universe Section: web

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 05 Oct 2007 02:38:08 +0200
Source: firefox-3.0
Binary: firefox-granparadiso firefox-granparadiso-gnome-support firefox-granparadiso-dev firefox-trunk-dev firefox-trunk-venkman firefox-3.0-dom-inspector firefox-3.0-venkman firefox-trunk-gnome-support firefox-3.0 firefox-granparadiso-dom-inspector firefox-3.0-gnome-support firefox-trunk firefox-3.0-dev firefox-trunk-dom-inspector
Architecture: source
Version: 3.0~alpha8-0ubuntu1
Distribution: gutsy
Urgency: low
Maintainer: Alexander Sack <asac at ubuntu.com>
Changed-By: Alexander Sack <asac at ubuntu.com>
Description: 
 firefox-3.0 - lightweight web browser based on Mozilla (Development Version)
 firefox-3.0-dev - Development files for Mozilla Firefox (Development Version)
 firefox-3.0-dom-inspector - dummy upgrade package for firefox-3.0-dom-inspector -> xulrunner-
 firefox-3.0-gnome-support - Support for Gnome in Mozilla Firefox (Development Version)
 firefox-3.0-venkman - dummy upgrade package for firefox-3.0-venkman -> xulrunner-1.9-ve
 firefox-granparadiso - dummy upgrade package for firefox-granparadiso -> firefox-3.0
 firefox-granparadiso-dev - dummy upgrade package for firefox-granparadiso -> firefox-3.0
 firefox-granparadiso-dom-inspector - dummy upgrade package for firefox-granparadiso -> firefox-3.0
 firefox-granparadiso-gnome-support - dummy upgrade package for firefox-granparadiso -> firefox-3.0
 firefox-trunk - dummy upgrade package for firefox-trunk -> firefox-3.0
 firefox-trunk-dev - dummy upgrade package for firefox-trunk -> firefox-3.0
 firefox-trunk-dom-inspector - dummy upgrade package for firefox-trunk -> firefox-3.0
 firefox-trunk-gnome-support - dummy upgrade package for firefox-trunk -> firefox-3.0
 firefox-trunk-venkman - dummy upgrade package for firefox-trunk -> firefox-3.0
Changes: 
 firefox-3.0 (3.0~alpha8-0ubuntu1) gutsy; urgency=low
 .
   RELEASE: 3.0~alpha8-0ubuntu1 to gutsy/universe.
 .
   [ Alexander Sack ]
   * drop libnspr4-dev and libnss3-dev build-depends for gutsy upload.
   * don't build with system-nspr/-nss for gutsy universe upload.
   * add nspr_flags_by_pkg_config_hack.patch to use pkg-config to get
     nspr libs and cflags from xulrunner-1.9-dev package.
 .
 firefox-3.0 (3.0~alpha8-0ubuntu1~mt3) gutsy; urgency=low
 .
   RELEASE: 3.0~alpha8-0ubuntu1~mt3 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * Unset browser.safebrowsing.enabled by default
     Update debian/firefox.js
   * Compile with gcc/g++ 4.2 for all archs.
   * Add debian/patches/force_safebrowsing_off.patch forcing
     the default to off so users could decide to turn it if they
     want to.
   * Fix a typo in debian/control (Fixes LP #146694)
   * Fix a FTBFS introduced by gcc-4.2 that fixed a visibility bug
     [GCC bug 26905] triggering WRAP_SYSTEM_INCLUDES in firefox.
     This WRAP_SYSTEM_INCLUDES triggered code depending on nspr
     sources that are no longer accessible because of the stripped
     tarball.
     - add debian/patches/dont_depend_on_nspr_sources.patch
     - update debian/patches/series
     - update debian/changelog
   * Clean a possible left over from trunk in update-notifier user
     directory
     - update debian/firefox-3.0.postinst
 .
 firefox-3.0 (3.0~alpha8-0ubuntu1~mt2) gutsy; urgency=low
 .
   [ Fabien Tassin ]
   * dummify firefox-3.0-dom-inspector and firefox-3.0-venkman
     now that we ship those two extensions with xulrunner
 .
   [ Alexander Sack ]
   * make debian/firefox.sh executable in pre-build:: target.
 .
 firefox-3.0 (3.0~alpha8-0ubuntu1~mt1) gutsy; urgency=low
 .
   Upstream Release: 3.0~a8 aka MOZILLA_1_9a8_RELEASE
 .
   [ Fabien Tassin ]
   * new release: GranParadiso 3.0 alpha 8
   * Fix debian/rules to detect which xul-dev package is installed
   * Change branding based on Version (use MineField if version
     matches cvs, otherwise use GranParadiso)
   * Move gnome component into firefox-3.0-gnome-support
 .
 firefox-3.0 (3.0~a8~cvs20070914t1713-0ubuntu1~mt2) gutsy; urgency=low
 .
   RELEASE: 3.0~a8~cvs20070914t1713-0ubuntu1~mt2 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * Massive app-name change from firefox-trunk to firefox-3.0
   * Add a migration profile script:
     add debian/firefox.sh, update debian/firefox-3.0.install
     debian/firefox-3.0.links
 .
 firefox-trunk (3.0~a8~cvs20070914t1713-0ubuntu1~mt1) gutsy; urgency=low
 .
   RELEASE: 3.0~a8~cvs20070914t1713-0ubuntu1~mt1 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * new cvs snapshot: 3.0a8pre cvs20070914t1713 using a stripped tarball
     produced my mozclient
   * update debian/control to fix xulrunner version (1.9a8pre vs 1.9~a8)
   * drop patches no longer useful:
       bz386844_java_plugin_crash_in_xsync.patch
       bz392722_fix_nsinstall_on_double_slash.patch
       bz386866_ftbfs_toolkit_xre_Makefile_in.patch
   * Link venkman from xulrunner-1.9
   * Update firefox-dom-inspector package to just link the
     extension from xulrunner-1.9
   * Update debian/firefox-trunk.install to install browserconfig.properties
   * Make the installer complain about missing files on stdout
     instead of stderr so logs are easier to read.
     Add debian/patches/installer_use_stdout_for_missing_files.patch
     and update debian/patches/series
 .
   [ Alexander Sack ]
   * Use --disable-install-strip to prevent packager from stripping symbols:
     - debian/rules: add --disable-install-strip as configure option.
     - debian/patches/installer_shouldnt_skip_strip_if_disable_strip_configured,
       series: drop patch to disable stripping symbols during |make install| in
       favour of generic upstream solution provided by --disable-install-strip.
 .
 firefox-trunk (3.0~a8~cvs20070829-0ubuntu1) gutsy; urgency=low
 .
   RELEASE: 3.0~a8~cvs20070829-0ubuntu1 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * new cvs snapshot: 3.0a8pre cvs20070829
   * update debian/rules to use system xulrunner by adding:
     --with-libxul-sdk=/usr/lib/xulrunner-devel-1.9a8pre
   * update debian/patches/trunk-fsh to use $(MOZ_APP_NAME) while copying
     xulrunner-stub
   * add debian/patches/installer_shouldnt_copy_xulrunner.patch to prevent
     the installer to dump xulrunner files into firefox install dir,
     update debian/patches/series
   * fix debian/firefox-trunk-dev.install and debian/firefox-trunk-dev.links
     to reflect new install scheme
   * temporary disable debian/firefox-trunk-dev.* as 'make install' is not
     properly installing those files upstream.
   * update debian/changelog
 .
 firefox-trunk (3.0~a8~cvs20070825-0ubuntu1) gutsy; urgency=low
 .
   RELEASE: 3.0~a8~cvs20070825-0ubuntu1 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * new cvs snapshot: 3.0a8pre cvs20070825
   * Add debian/patches/installer_shouldnt_skip_strip_if_disable_strip_configured
     contributed by asac, fixing --disable-strip (was being ignored)
   * Drop debian/patches/bz390451_master_password_lost.patch now fully integrated
     upstream. Update debian/patches/series
   * Update debian/patches/bz392722_fix_nsinstall_on_double_slash.patch to
     also fix security/coreconf/nsinstall/nsinstall.c
 .
 firefox-trunk (3.0~a8~cvs20070818-0ubuntu1) gutsy; urgency=low
 .
   RELEASE: 3.0~a8~cvs20070818-0ubuntu1 to gutsy/PPA.
 .
   [ Fabien Tassin ]
   * new cvs snapshot: 3.0a8pre cvs20070818
     (bump version from 2.99 to 3.0a8pre, as that's what it really is
      in mozilla/browser/config/version.txt)
   * Update debian/patches/trunk-profilename to patch firefox-branding.js
     in the right place now that we no longer specify a branding.
   * Update to cvs20070818 and patch clean-up
     - debian/rules: drop --disable-airbag, add --disable-crashreporter
     - debian/patches/config_rules_install_dist_files =>
       debian/patches/bz386904_config_rules_install_dist_files.patch
     - debian/patches/fix_nsinstall_on_double_slash.patch =>
       debian/patches/bz392722_fix_nsinstall_on_double_slash.patch
     - debian/patches/ftbfs_toolkit_xre_Makefile_in =>
       debian/patches/bz386866_ftbfs_toolkit_xre_Makefile_in.patch
     - update debian/patches/bz390451_master_password_lost.patch:
       Fix committed but work-around still in place upstream
     - remove unused debian/patches/fix_make_install
     - refresh diverging debian/patches/no-have-stdint-h-ftbfs.patch
     - update debian/patches/series
Files: 
 b1765d9ac797d6523ae9440acaf42376 2046 web optional firefox-3.0_3.0~alpha8-0ubuntu1.dsc
 0bf28b91b06258a73d8680d5e22ccbf5 10723671 web optional firefox-3.0_3.0~alpha8.orig.tar.gz
 cc674a95b42c62d3471667ceb6b28793 89454 web optional firefox-3.0_3.0~alpha8-0ubuntu1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQIVAwUBRwWPvqBE/gcUDGZkAQLVmA//ek7CjzoKY2J0hpXiNXp/sgk+lJ1F0mRt
SGKJHKV65RhHM2XpU7bo4WYDP06UPmDVSNdUeIbTsmU4/jmNuMBu1Eu/rMuliZZf
Q2I6InHtASIXbhj4cIVa2Rbo80aZUPC65ru8EaQlEMT4mV1DKPrF/T2b+rZgzmAW
JWIySJTF233lqXYvqmFjnOPptIcq2ijp8JmZb6TdgRLo2Aw9mG0fyzvYqR8fCmMk
bXzGNE8YNZpSdTc4kgUMhLDeCzcuXWvv4AA/rtRUF64xS1xrJzoVwXDqV+/xVcVr
0ifcGVUWgXaBV8d/kI6aSrh5hjOFglOboYeJmHErJEN8upitPhPjuQ7yxFAkn/LT
tfYTyT4wXl/28o9wK+vwxZIPjjBRdPetPua3fHrxNRf9Bmn0rjtTBXe4rYu9IB0O
p07HhXEb61meWl831ZL+gwkcOs/gu0dTLWVP46X4RPnU+LYe8NuISBO7ukqlcZyB
DUcG0gD7GOMHxucoYwaD0fUWGA+qOjC7yl2LEoMYxJHcMm2wTdWOogwJZAmfoeja
Gu13FWBpqQpc+zltoQFRfunMC/b1ITgVVAVvjKXii04zMdN7VNocS0tLAzKfVnTj
ZtT5bkU3NDKgLH0wPAYaMiqrN7SAGIl0qC5W2tYlRoG3vn6yqBdy2505WJSWAc+2
Tf78zBTQJ0o=
=g66x
-----END PGP SIGNATURE-----





More information about the gutsy-changes mailing list